# ApplicationLoadBalancersApi

All URIs are relative to *<https://api.ionos.com/cloudapi/v6>*

| Method                                                                                                                                                    | HTTP request                                                                                                                   | Description                                         |
| --------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------ | --------------------------------------------------- |
| [**datacentersApplicationloadbalancersDelete**](#datacentersapplicationloadbalancersdelete)                                                               | **DELETE** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}                                    | Delete an Application Load Balancer by ID           |
| [**datacentersApplicationloadbalancersFindByApplicationLoadBalancerId**](#datacentersapplicationloadbalancersfindbyapplicationloadbalancerid)             | **GET** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}                                       | Get an Application Load Balancer by ID              |
| [**datacentersApplicationloadbalancersFlowlogsDelete**](#datacentersapplicationloadbalancersflowlogsdelete)                                               | **DELETE** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}/flowlogs/{flowLogId}               | Delete an ALB Flow Log by ID                        |
| [**datacentersApplicationloadbalancersFlowlogsFindByFlowLogId**](#datacentersapplicationloadbalancersflowlogsfindbyflowlogid)                             | **GET** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}/flowlogs/{flowLogId}                  | Get an ALB Flow Log by ID                           |
| [**datacentersApplicationloadbalancersFlowlogsGet**](#datacentersapplicationloadbalancersflowlogsget)                                                     | **GET** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}/flowlogs                              | Get ALB Flow Logs                                   |
| [**datacentersApplicationloadbalancersFlowlogsPatch**](#datacentersapplicationloadbalancersflowlogspatch)                                                 | **PATCH** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}/flowlogs/{flowLogId}                | Partially Modify an ALB Flow Log by ID              |
| [**datacentersApplicationloadbalancersFlowlogsPost**](#datacentersapplicationloadbalancersflowlogspost)                                                   | **POST** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}/flowlogs                             | Create an ALB Flow Log                              |
| [**datacentersApplicationloadbalancersFlowlogsPut**](#datacentersapplicationloadbalancersflowlogsput)                                                     | **PUT** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}/flowlogs/{flowLogId}                  | Modify an ALB Flow Log by ID                        |
| [**datacentersApplicationloadbalancersForwardingrulesDelete**](#datacentersapplicationloadbalancersforwardingrulesdelete)                                 | **DELETE** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}/forwardingrules/{forwardingRuleId} | Delete an ALB Forwarding Rule by ID                 |
| [**datacentersApplicationloadbalancersForwardingrulesFindByForwardingRuleId**](#datacentersapplicationloadbalancersforwardingrulesfindbyforwardingruleid) | **GET** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}/forwardingrules/{forwardingRuleId}    | Get an ALB Forwarding Rule by ID                    |
| [**datacentersApplicationloadbalancersForwardingrulesGet**](#datacentersapplicationloadbalancersforwardingrulesget)                                       | **GET** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}/forwardingrules                       | Get ALB Forwarding Rules                            |
| [**datacentersApplicationloadbalancersForwardingrulesPatch**](#datacentersapplicationloadbalancersforwardingrulespatch)                                   | **PATCH** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}/forwardingrules/{forwardingRuleId}  | Partially modify an ALB Forwarding Rule by ID       |
| [**datacentersApplicationloadbalancersForwardingrulesPost**](#datacentersapplicationloadbalancersforwardingrulespost)                                     | **POST** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}/forwardingrules                      | Create an ALB Forwarding Rule                       |
| [**datacentersApplicationloadbalancersForwardingrulesPut**](#datacentersapplicationloadbalancersforwardingrulesput)                                       | **PUT** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}/forwardingrules/{forwardingRuleId}    | Modify an ALB Forwarding Rule by ID                 |
| [**datacentersApplicationloadbalancersGet**](#datacentersapplicationloadbalancersget)                                                                     | **GET** /datacenters/{datacenterId}/applicationloadbalancers                                                                   | Get Application Load Balancers                      |
| [**datacentersApplicationloadbalancersPatch**](#datacentersapplicationloadbalancerspatch)                                                                 | **PATCH** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}                                     | Partially Modify an Application Load Balancer by ID |
| [**datacentersApplicationloadbalancersPost**](#datacentersapplicationloadbalancerspost)                                                                   | **POST** /datacenters/{datacenterId}/applicationloadbalancers                                                                  | Create an Application Load Balancer                 |
| [**datacentersApplicationloadbalancersPut**](#datacentersapplicationloadbalancersput)                                                                     | **PUT** /datacenters/{datacenterId}/applicationloadbalancers/{applicationLoadBalancerId}                                       | Modify an Application Load Balancer by ID           |

## datacentersApplicationloadbalancersDelete

> datacentersApplicationloadbalancersDelete(datacenterId, applicationLoadBalancerId, opts)

Delete an Application Load Balancer by ID

Removes the specified Application Load Balancer from the data center.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.ApplicationLoadBalancersApi(config);
// Delete an Application Load Balancer by ID
api_instance
  .datacentersApplicationloadbalancersDelete({
    datacenterId: datacenterId_example,
    applicationLoadBalancerId: applicationLoadBalancerId_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                          | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ----------------------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**              | **string**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **applicationLoadBalancerId** | **string**  | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                               | \[default to undefined]            |
| **pretty**                    | **boolean** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                     | **number**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**           | **number**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

nil (empty response body)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## datacentersApplicationloadbalancersFindByApplicationLoadBalancerId

> datacentersApplicationloadbalancersFindByApplicationLoadBalancerId(datacenterId, applicationLoadBalancerId, opts)

Get an Application Load Balancer by ID

Retrieves the properties of the specified Application Load Balancer within the data center.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.ApplicationLoadBalancersApi(config);
// Get an Application Load Balancer by ID
api_instance
  .datacentersApplicationloadbalancersFindByApplicationLoadBalancerId({
    datacenterId: datacenterId_example,
    applicationLoadBalancerId: applicationLoadBalancerId_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                          | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ----------------------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**              | **string**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **applicationLoadBalancerId** | **string**  | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                               | \[default to undefined]            |
| **pretty**                    | **boolean** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                     | **number**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**           | **number**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

[**ApplicationLoadBalancer**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/applicationloadbalancer)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## datacentersApplicationloadbalancersFlowlogsDelete

> datacentersApplicationloadbalancersFlowlogsDelete(datacenterId, applicationLoadBalancerId, flowLogId, opts)

Delete an ALB Flow Log by ID

Deletes the Application Load Balancer flow log specified by its ID.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.ApplicationLoadBalancersApi(config);
// Delete an ALB Flow Log by ID
api_instance
  .datacentersApplicationloadbalancersFlowlogsDelete({
    datacenterId: datacenterId_example,
    applicationLoadBalancerId: applicationLoadBalancerId_example,
    flowLogId: flowLogId_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                          | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ----------------------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**              | **string**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **applicationLoadBalancerId** | **string**  | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                               | \[default to undefined]            |
| **flowLogId**                 | **string**  | The unique ID of the flow log.                                                                                                                                                                                                                                                                                                                                                                                                                | \[default to undefined]            |
| **pretty**                    | **boolean** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                     | **number**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**           | **number**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

nil (empty response body)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## datacentersApplicationloadbalancersFlowlogsFindByFlowLogId

> datacentersApplicationloadbalancersFlowlogsFindByFlowLogId(datacenterId, applicationLoadBalancerId, flowLogId, opts)

Get an ALB Flow Log by ID

Retrieves the Application Load Balancer flow log specified by its ID.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.ApplicationLoadBalancersApi(config);
// Get an ALB Flow Log by ID
api_instance
  .datacentersApplicationloadbalancersFlowlogsFindByFlowLogId({
    datacenterId: datacenterId_example,
    applicationLoadBalancerId: applicationLoadBalancerId_example,
    flowLogId: flowLogId_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                          | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ----------------------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**              | **string**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **applicationLoadBalancerId** | **string**  | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                               | \[default to undefined]            |
| **flowLogId**                 | **string**  | The unique ID of the flow log.                                                                                                                                                                                                                                                                                                                                                                                                                | \[default to undefined]            |
| **pretty**                    | **boolean** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                     | **number**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**           | **number**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

[**FlowLog**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/flowlog)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## datacentersApplicationloadbalancersFlowlogsGet

> datacentersApplicationloadbalancersFlowlogsGet(datacenterId, applicationLoadBalancerId, opts)

Get ALB Flow Logs

Retrieves the flow logs for the specified Application Load Balancer.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.ApplicationLoadBalancersApi(config);
var filterMap = new Map()
filterMap.set("<property_name>", "<property_value>")
// Get ALB Flow Logs
api_instance
  .datacentersApplicationloadbalancersFlowlogsGet({
    datacenterId: datacenterId_example,
    applicationLoadBalancerId: applicationLoadBalancerId_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
    orderBy: "<property_name>"
    maxResults: 2,
    filters: filterMap
    options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                          | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ----------------------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**              | **string**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **applicationLoadBalancerId** | **string**  | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                               | \[default to undefined]            |
| **pretty**                    | **boolean** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                     | **number**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**           | **number**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

[**FlowLogs**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/flowlogs)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## datacentersApplicationloadbalancersFlowlogsPatch

> datacentersApplicationloadbalancersFlowlogsPatch(datacenterId, applicationLoadBalancerId, flowLogId, applicationLoadBalancerFlowLogProperties, opts)

Partially Modify an ALB Flow Log by ID

Updates the properties of the Application Load Balancer flow log specified by its ID.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.ApplicationLoadBalancersApi(config);
// Partially Modify an ALB Flow Log by ID
api_instance
  .datacentersApplicationloadbalancersFlowlogsPatch({
    datacenterId: datacenterId_example,
    applicationLoadBalancerId: applicationLoadBalancerId_example,
    flowLogId: flowLogId_example,
    applicationLoadBalancerFlowLogProperties: applicationLoadBalancerFlowLogProperties_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                                         | Type                                                                                                                   | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| -------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**                             | **string**                                                                                                             | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **applicationLoadBalancerId**                | **string**                                                                                                             | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                               | \[default to undefined]            |
| **flowLogId**                                | **string**                                                                                                             | The unique ID of the flow log.                                                                                                                                                                                                                                                                                                                                                                                                                | \[default to undefined]            |
| **applicationLoadBalancerFlowLogProperties** | [**FlowLogProperties**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/flowlogproperties) | The properties of the ALB flow log to be updated.                                                                                                                                                                                                                                                                                                                                                                                             |                                    |
| **pretty**                                   | **boolean**                                                                                                            | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                                    | **number**                                                                                                             | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**                          | **number**                                                                                                             | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

[**FlowLog**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/flowlog)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## datacentersApplicationloadbalancersFlowlogsPost

> datacentersApplicationloadbalancersFlowlogsPost(datacenterId, applicationLoadBalancerId, applicationLoadBalancerFlowLog, opts)

Create an ALB Flow Log

Creates a flow log for the Application Load Balancer specified by ID.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.ApplicationLoadBalancersApi(config);
// Create an ALB Flow Log
api_instance
  .datacentersApplicationloadbalancersFlowlogsPost({
    datacenterId: datacenterId_example,
    applicationLoadBalancerId: applicationLoadBalancerId_example,
    applicationLoadBalancerFlowLog: applicationLoadBalancerFlowLog_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                               | Type                                                                                               | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ---------------------------------- | -------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**                   | **string**                                                                                         | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **applicationLoadBalancerId**      | **string**                                                                                         | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                               | \[default to undefined]            |
| **applicationLoadBalancerFlowLog** | [**FlowLog**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/flowlog) | The flow log to create.                                                                                                                                                                                                                                                                                                                                                                                                                       |                                    |
| **pretty**                         | **boolean**                                                                                        | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                          | **number**                                                                                         | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**                | **number**                                                                                         | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

[**FlowLog**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/flowlog)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## datacentersApplicationloadbalancersFlowlogsPut

> datacentersApplicationloadbalancersFlowlogsPut(datacenterId, applicationLoadBalancerId, flowLogId, applicationLoadBalancerFlowLog, opts)

Modify an ALB Flow Log by ID

Modifies the Application Load Balancer flow log specified by its ID.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.ApplicationLoadBalancersApi(config);
// Modify an ALB Flow Log by ID
api_instance
  .datacentersApplicationloadbalancersFlowlogsPut({
    datacenterId: datacenterId_example,
    applicationLoadBalancerId: applicationLoadBalancerId_example,
    flowLogId: flowLogId_example,
    applicationLoadBalancerFlowLog: applicationLoadBalancerFlowLog_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                               | Type                                                                                                     | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ---------------------------------- | -------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**                   | **string**                                                                                               | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **applicationLoadBalancerId**      | **string**                                                                                               | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                               | \[default to undefined]            |
| **flowLogId**                      | **string**                                                                                               | The unique ID of the flow log.                                                                                                                                                                                                                                                                                                                                                                                                                | \[default to undefined]            |
| **applicationLoadBalancerFlowLog** | [**FlowLogPut**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/flowlogput) | The modified ALB flow log.                                                                                                                                                                                                                                                                                                                                                                                                                    |                                    |
| **pretty**                         | **boolean**                                                                                              | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                          | **number**                                                                                               | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**                | **number**                                                                                               | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

[**FlowLog**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/flowlog)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## datacentersApplicationloadbalancersForwardingrulesDelete

> datacentersApplicationloadbalancersForwardingrulesDelete(datacenterId, applicationLoadBalancerId, forwardingRuleId, opts)

Delete an ALB Forwarding Rule by ID

Deletes the Application Load Balancer forwarding rule specified by its ID.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.ApplicationLoadBalancersApi(config);
// Delete an ALB Forwarding Rule by ID
api_instance
  .datacentersApplicationloadbalancersForwardingrulesDelete({
    datacenterId: datacenterId_example,
    applicationLoadBalancerId: applicationLoadBalancerId_example,
    forwardingRuleId: forwardingRuleId_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                          | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ----------------------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**              | **string**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **applicationLoadBalancerId** | **string**  | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                               | \[default to undefined]            |
| **forwardingRuleId**          | **string**  | The unique ID of the forwarding rule.                                                                                                                                                                                                                                                                                                                                                                                                         | \[default to undefined]            |
| **pretty**                    | **boolean** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                     | **number**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**           | **number**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

nil (empty response body)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## datacentersApplicationloadbalancersForwardingrulesFindByForwardingRuleId

> datacentersApplicationloadbalancersForwardingrulesFindByForwardingRuleId(datacenterId, applicationLoadBalancerId, forwardingRuleId, opts)

Get an ALB Forwarding Rule by ID

Retrieves the Application Load Balancer forwarding rule specified by its ID.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.ApplicationLoadBalancersApi(config);
// Get an ALB Forwarding Rule by ID
api_instance
  .datacentersApplicationloadbalancersForwardingrulesFindByForwardingRuleId({
    datacenterId: datacenterId_example,
    applicationLoadBalancerId: applicationLoadBalancerId_example,
    forwardingRuleId: forwardingRuleId_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                          | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ----------------------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**              | **string**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **applicationLoadBalancerId** | **string**  | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                               | \[default to undefined]            |
| **forwardingRuleId**          | **string**  | The unique ID of the forwarding rule.                                                                                                                                                                                                                                                                                                                                                                                                         | \[default to undefined]            |
| **pretty**                    | **boolean** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                     | **number**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**           | **number**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

[**ApplicationLoadBalancerForwardingRule**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/applicationloadbalancerforwardingrule)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## datacentersApplicationloadbalancersForwardingrulesGet

> datacentersApplicationloadbalancersForwardingrulesGet(datacenterId, applicationLoadBalancerId, opts)

Get ALB Forwarding Rules

Lists the forwarding rules of the specified Application Load Balancer.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.ApplicationLoadBalancersApi(config);
var filterMap = new Map()
filterMap.set("<property_name>", "<property_value>")
// Get ALB Forwarding Rules
api_instance
  .datacentersApplicationloadbalancersForwardingrulesGet({
    datacenterId: datacenterId_example,
    applicationLoadBalancerId: applicationLoadBalancerId_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
    orderBy: "<property_name>"
    maxResults: 2,
    filters: filterMap
    options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                          | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ----------------------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**              | **string**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **applicationLoadBalancerId** | **string**  | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                               | \[default to undefined]            |
| **pretty**                    | **boolean** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                     | **number**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**           | **number**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

[**ApplicationLoadBalancerForwardingRules**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/applicationloadbalancerforwardingrules)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## datacentersApplicationloadbalancersForwardingrulesPatch

> datacentersApplicationloadbalancersForwardingrulesPatch(datacenterId, applicationLoadBalancerId, forwardingRuleId, applicationLoadBalancerForwardingRuleProperties, opts)

Partially modify an ALB Forwarding Rule by ID

Updates the properties of the Application Load Balancer forwarding rule specified by its ID.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.ApplicationLoadBalancersApi(config);
// Partially modify an ALB Forwarding Rule by ID
api_instance
  .datacentersApplicationloadbalancersForwardingrulesPatch({
    datacenterId: datacenterId_example,
    applicationLoadBalancerId: applicationLoadBalancerId_example,
    forwardingRuleId: forwardingRuleId_example,
    applicationLoadBalancerForwardingRuleProperties: applicationLoadBalancerForwardingRuleProperties_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                                                | Type                                                                                                                                                                               | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| --------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**                                    | **string**                                                                                                                                                                         | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **applicationLoadBalancerId**                       | **string**                                                                                                                                                                         | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                               | \[default to undefined]            |
| **forwardingRuleId**                                | **string**                                                                                                                                                                         | The unique ID of the forwarding rule.                                                                                                                                                                                                                                                                                                                                                                                                         | \[default to undefined]            |
| **applicationLoadBalancerForwardingRuleProperties** | [**ApplicationLoadBalancerForwardingRuleProperties**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/applicationloadbalancerforwardingruleproperties) | The properties of the forwarding rule to be updated.                                                                                                                                                                                                                                                                                                                                                                                          |                                    |
| **pretty**                                          | **boolean**                                                                                                                                                                        | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                                           | **number**                                                                                                                                                                         | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**                                 | **number**                                                                                                                                                                         | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

[**ApplicationLoadBalancerForwardingRule**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/applicationloadbalancerforwardingrule)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## datacentersApplicationloadbalancersForwardingrulesPost

> datacentersApplicationloadbalancersForwardingrulesPost(datacenterId, applicationLoadBalancerId, applicationLoadBalancerForwardingRule, opts)

Create an ALB Forwarding Rule

Creates a forwarding rule for the specified Application Load Balancer.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.ApplicationLoadBalancersApi(config);
// Create an ALB Forwarding Rule
api_instance
  .datacentersApplicationloadbalancersForwardingrulesPost({
    datacenterId: datacenterId_example,
    applicationLoadBalancerId: applicationLoadBalancerId_example,
    applicationLoadBalancerForwardingRule: applicationLoadBalancerForwardingRule_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                                      | Type                                                                                                                                                           | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ----------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**                          | **string**                                                                                                                                                     | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **applicationLoadBalancerId**             | **string**                                                                                                                                                     | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                               | \[default to undefined]            |
| **applicationLoadBalancerForwardingRule** | [**ApplicationLoadBalancerForwardingRule**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/applicationloadbalancerforwardingrule) | The forwarding rule to create.                                                                                                                                                                                                                                                                                                                                                                                                                |                                    |
| **pretty**                                | **boolean**                                                                                                                                                    | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                                 | **number**                                                                                                                                                     | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**                       | **number**                                                                                                                                                     | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

[**ApplicationLoadBalancerForwardingRule**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/applicationloadbalancerforwardingrule)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## datacentersApplicationloadbalancersForwardingrulesPut

> datacentersApplicationloadbalancersForwardingrulesPut(datacenterId, applicationLoadBalancerId, forwardingRuleId, applicationLoadBalancerForwardingRule, opts)

Modify an ALB Forwarding Rule by ID

Modifies the Application Load Balancer forwarding rule specified by its ID.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.ApplicationLoadBalancersApi(config);
// Modify an ALB Forwarding Rule by ID
api_instance
  .datacentersApplicationloadbalancersForwardingrulesPut({
    datacenterId: datacenterId_example,
    applicationLoadBalancerId: applicationLoadBalancerId_example,
    forwardingRuleId: forwardingRuleId_example,
    applicationLoadBalancerForwardingRule: applicationLoadBalancerForwardingRule_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                                      | Type                                                                                                                                                                 | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ----------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**                          | **string**                                                                                                                                                           | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **applicationLoadBalancerId**             | **string**                                                                                                                                                           | The unique ID of the Application Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                               | \[default to undefined]            |
| **forwardingRuleId**                      | **string**                                                                                                                                                           | The unique ID of the forwarding rule.                                                                                                                                                                                                                                                                                                                                                                                                         | \[default to undefined]            |
| **applicationLoadBalancerForwardingRule** | [**ApplicationLoadBalancerForwardingRulePut**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/applicationloadbalancerforwardingruleput) | The modified ALB forwarding rule.                                                                                                                                                                                                                                                                                                                                                                                                             |                                    |
| **pretty**                                | **boolean**                                                                                                                                                          | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                                 | **number**                                                                                                                                                           | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**                       | **number**                                                                                                                                                           | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

[**ApplicationLoadBalancerForwardingRule**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/applicationloadbalancerforwardingrule)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## datacentersApplicationloadbalancersGet

> datacentersApplicationloadbalancersGet(datacenterId, opts)

Get Application Load Balancers

Lists all Application Load Balancers within a data center.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.ApplicationLoadBalancersApi(config);
var filterMap = new Map()
filterMap.set("<property_name>", "<property_value>")
// Get Application Load Balancers
api_instance
  .datacentersApplicationloadbalancersGet({
    datacenterId: datacenterId_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56,
    offset: 56,
    limit: 56, 
    orderBy: "<property_name>"
    maxResults: 2,
    filters: filterMap
    options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ------------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**    | **string**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **pretty**          | **boolean** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**           | **number**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber** | **number**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |
| **offset**          | **number**  | The first element (from the complete list of the elements) to include in the response (used together with \<b>\<i>limit\</i>\</b> for pagination).                                                                                                                                                                                                                                                                                            | \[optional]\[default to 0]         |
| **limit**           | **number**  | The maximum number of elements to return (use together with offset for pagination).                                                                                                                                                                                                                                                                                                                                                           | \[optional]\[default to 1000]      |

### Return type

[**ApplicationLoadBalancers**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/applicationloadbalancers)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## datacentersApplicationloadbalancersPatch

> datacentersApplicationloadbalancersPatch(datacenterId, applicationLoadBalancerId, applicationLoadBalancerProperties, opts)

Partially Modify an Application Load Balancer by ID

Updates the properties of the specified Application Load Balancer within the data center.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.ApplicationLoadBalancersApi(config);
// Partially Modify an Application Load Balancer by ID
api_instance
  .datacentersApplicationloadbalancersPatch({
    datacenterId: datacenterId_example,
    applicationLoadBalancerId: applicationLoadBalancerId_example,
    applicationLoadBalancerProperties: applicationLoadBalancerProperties_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                                  | Type                                                                                                                                                   | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
[...]
